{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% block content %}
{% block extra_style_block %}
{% load custom_tags %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        <!--.even {background: rgba(0,0,0,.075);}-->
        <!--.odd {background: rgba(0,0,0,.075);}-->
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 3px 5px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: left;
          border-radius: 4px;
          margin: -35px 2% 0;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
    </style>
{% endblock %}
<!--<link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">-->
    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
        <title>{% block title %} Orders List {% endblock %}</title>
    </head>
    <form method="POST">{% csrf_token %}
            <span style="margin-top: -17px;" id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
            <h1 style="margin-top: -18px;" class="back-list">Orders List</h1>
    <section class="content-header col-content">
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                
                
            </div>
        </div>
        <div class="text-right row">
            <div class="col-xs-12 col-sm-12 col-md-12">
            <p class="creatBtn-wrapper" style="width: 148px;float: right;margin-top: 9px;margin-left: 9px;">
                    <select name="status" id="od_status"  class="select form-control">
                        <option value="All">All</option>
                        <option value="Processing">Processing</option>
                        <option value="SchemeApplied">Scheme Applied</option>
                        <option value="Deleted">Deleted</option>
                        <option value="OrderPlaced">Order Placed</option>
                        <option value="InWarehouse">In Warehouse</option>
                        <option value="Reject">Reject</option>
                        <option value="OnHold">On Hold</option>
                        <option value="Dispatched">Dispatched</option>
                        <option value="Delivered">Delivered</option>
                        <option value="PartialDispatched">Partial Dispatched</option>
                        <option value="PaymentDone">Payment Done</option>
                    </select>
                </p>
                <button type="submit" style="float: right; background-color: black; margin-top: 10px;border: 0;border-radius: 4px;" name="export" class="export">Export</button>
            <address class="col-cust-add col-business-add" style="margin:0 0 0 0;">
                <span style="background-color: #00c0ef;border-color: #00acd6;">
                    Total No of Orders: 21
                </span>
                <span style="background-color: #00a65a;border-color: #008d4c;">
                    Total No of Dealers: 10
                </span>
                <span style="background-color: #00a65a;border-color: #008d4c;">
                    Total order Value: ₹ 1,363,609.31
                </span>
            </address>
        </div>
            </div>
        <div >
                <div class="row" style="margin:-56px 0 0px 0;">
                    
                </div>
                <div class="row" style="margin: 0;">
                    <div class="search-container text-right">
                            From: <input class="form-control txt-search" value="{{from_date}}"
                                   type="date" placeholder="Search..." name="from_date">
                            To: <input class="form-control txt-search" value="{{to_date}}"
                                   type="date" placeholder="Search..." name="to_date">
                            <input class="form-control txt-search inputNumber" value="" type="text" placeholder="Order No.." name="search">
                            <button class="btn-search" name="btnsearch" type="submit">
                                <i class="fa fa-search"></i>
                            </button>
                            
                        <br>
                        
                    </div>
                    
                    {% autoescape off %}
                        <span style="color:green; float: right"><b>{{querycount}}</b></span>
                    {% endautoescape off %}
                
                </div>
                <input type="hidden" id="status" value="{{od_status}}">


            </div>

    </section>

    <section>
        <table class="table no-margin">
            <thead>
                <tr>
                    <th>Order No</th>
                    <th>DMS No</th>
                    <th>Order Date</th>
                    <th>Dispatch Date</th>
                    <th>Invoice Value</th>
                    <th>Discount </th>
                    <th>Payable </th>
                    <th>Status</th>
                    {% if request.user|has_group:"DEL" %}
                    <th>Payment</th>
                    <th>Credit days</th>
                    {% endif %}
                    {% if request.user.is_superuser %}
                    <th>SR</th>
                    <th>Dealer</th>
                    {% endif %}
                </tr>
            </thead>
            <tbody>
            {% if orderhead|length > 0 %}
                {% for obj in orderhead %}
                    <tr>
                        <td>
                            <a href="{% url 'customerorderdetail' %}?orderno={{obj.order_number}}&&dealerid={{obj.dealer_id}}">
                            {{obj.order_number}}</a>
                        </td>
                        {% if obj.DMS_order_number %}
                        <td><a href="{% url 'customerorderdetail' %}?orderno={{obj.order_number}}&&dealerid={{obj.dealer_id}}">{{obj.DMS_order_number}}</a></td>
                        {% else%}
                        <td><span >{{obj.DMS_order_number| default:"---"}}</span></td>
                        {% endif %}
                        <td>{{obj.order_date|date|default:'---'}}</td>
                        <td>{{obj.Dispatched_Date|date|default:'---'}}</td>
                        <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                        <td>₹ {{obj.discount_amount|floatformat:2|intcomma}}</td>
                        {% if obj.payable_amount < 0 %}
                        <td>---</td>
                        {% else %}

                        <td>
                            {% if obj.status == 'Dispatched' %}
                            ₹ {{obj.payable_amount|floatformat:2|intcomma}}
                            {% else %}
                            ---
                            {% endif %}
                        </td>
                        {% endif %}
                        <td>
                            <span class="label label-info {{obj.status}}">
                                {{obj.get_status_display}}
                            </span>
                        </td>
                        {% if request.user|has_group:"DEL" %}
                        {% if obj.payable_amount < 0 %}
                        <td>
                                ₹ 0
                        </td>
                        {% else %}
                            <td>
                                ₹ {{obj.payable_amount|floatformat:2|intcomma}}
                            </td>
                        {% endif %}
                          <td>
                            {{obj.creditdays.credit_days|default:"0"}}
                          </td>
                        {% endif %}
                        {% if request.user.is_superuser %}
                        <td>
                            {{obj.sr_id.first_name}} {{obj.sr_id.last_name}}
                          </td>

                          <td>
                            <a href="{% url 'dealer_profile' obj.dealer.pk %} ">
                                {{obj.dealer.user_code}}.{{obj.company}}
                            </a>
                          </td>

                          {% endif %}
                    </tr>
                {% endfor %}
            {% else %}
                <tr>
                    {% if request.user|has_group:"DEL" %}
                    <td colspan="10" style="text-align:center;">Data not available!!!</td>
                    {% elif request.user.is_superuser %}
                    <td colspan="10" style="text-align:center;">Data not available!!!</td>
                    {% else %}
                    <td colspan="8" style="text-align:center;">Data not available!!!</td>
                    {% endif %}
                </tr>
            {% endif %}
            </tbody>
        </table>

    </section>
</form>
{% if orderhead.has_other_pages %}
  <ul class="pagination">
    {% if orderhead.has_previous %}

      <li><a href="?page={{ orderhead.previous_page_number }}&status={{od_status}}">&laquo;</a></li>
    {% else %}
      <li class="disabled"><span>&laquo;</span></li>
    {% endif %}
    {% for i in orderhead.paginator.page_range %}
      {% if orderhead.number == i %}
        <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
      {% else %}
        <li><a href="?page={{ i }}&status={{od_status}}">{{ i }}</a></li>
      {% endif %}
    {% endfor %}
    {% if orderhead.has_next %}
      <li><a href="?page={{ orderhead.next_page_number }}&status={{od_status}}">&raquo;</a></li>
    {% else %}
      <li class="disabled"><span>&raquo;</span></li>
    {% endif %}
  </ul>
{% endif %}
{% endblock %}


{% block extra_script_block %}
    {{block.super}}

    <script>
        $(function() {
            var mon = $('#status').val();
            $('#od_status').val(mon).attr('selected',true)
            $("#od_status").change(function() {
                var status = $('#od_status').val()
                window.location='/user/Admin_dashboard/Orders?status='+status
            });

            $(".inputNumber").keypress(function (e) {

                if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
                    return false;
                }
            });
        })
    </script>
{% endblock %}